<!--
  Generated template for the MyBookingsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

	<ion-navbar>
		<ion-title class="title-after-back">Mes réservations</ion-title>
		<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
	</ion-navbar>

</ion-header>


<ion-content>
	<ion-grid class="">
		<ion-row justify-content-center class="row-top">
			<ion-col col-8 col-sm col-auto> 
				<img src="assets/imgs/bee-logo.png" class="logo-reservation">  
				<h1 class="title_header">Mes réservations</h1>
			</ion-col>
		</ion-row>

		<ion-searchbar [(ngModel)]="myInput" placeholder="Recherche de réservation"></ion-searchbar>

		<ion-row justify-content-center margin-top class="content-center" *ngIf="customer$">
			<ion-col col-12 col-sm col-auto >
				<ion-list>

					<ion-card *ngFor="let booking of bookings | search: myInput" (click)="showDetails(booking.params)">
						<ion-card-content>
							<ion-card-title>
								{{booking.trajet.startstation.city}} - {{booking.trajet.arrivalstation.city}}
							</ion-card-title>
							<p>{{booking.cooperative.name}}</p>
							<p>
								{{booking?.reservation.date | date: 'dd/MM/yyyy'}} -  {{booking.params.hour}}
							</p>

							<p *ngIf="booking.reservation.status == 'pending' " >
								En attente de paiement
							</p>

							<p *ngIf="booking.reservation.status == 'completed' " >
								Payé
							</p>
						</ion-card-content>
					</ion-card>	

				</ion-list>
			</ion-col>
		</ion-row>
	</ion-grid>
</ion-content>


